:root {
  --base-color: #E5D7C4;         
  --base-variant: #CFBB99;      
  --text-color: #4C3D19;         
  --secondary-text: #364024;     
  --primary-color: #889063;      
}

.darkmode {
  --base-color: #2A220F;        
  --base-variant: #2F3A20;    
  --text-color: #D0C4B3;       
  --secondary-text: #B8A684;     
  --primary-color: #66704E;     
}

body{
    background-color: var(--base-color);
    color: var(--text-color);
    
}


nav{
  display: flex;
  align-items: center;
  gap: 3rem;
  padding: 2rem;
  font-size: 1.25rem;
  width: 100%;
  box-sizing:border-box;
}

nav a {
  position: relative;
  color: var(--text-color);
  text-decoration: none;
  font-family: 'Karla', sans-serif;
  
}

nav a:visited {
  color: var(--text-color);
}

nav a.active {
  font-weight: 700;
  text-underline-offset: 4px;
}

nav a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -3px;      
  width: 100%;
  height: 2px;       
  background: var(--text-color);
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.25s ease-out;
}

nav a:hover::after {
  transform: scaleX(1);
}

@media (max-width: 700px) {
  nav {
    gap: 1rem;
    padding: 1rem; 
    justify-content: center; 
  }

  nav a {
    font-size: 1rem; 
  }
}


.pageWrapper {
  display: flex;
  flex-direction: column;
  padding-left: 9.50rem;
}

.logo{
  height: 80px;
  width: 80px;
}

.heyThere,
.homeSubtext {
  margin-top: 0;
  font-size: 1.3rem;
  font-family: 'Karla', sans-serif;
  color: var(--text-color)
}

.name{
  font-size: 4rem;
  font-family: 'Chivo', sans-serif;
  color: var(--secondary-text)
}

.wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* padding-left: 8.75rem; */
  margin-top: 1.5rem;
}

.homeText {
  max-width: 600px;
}

.homeSubtext{
  line-height: 1.6;
}

.headshot {
  width: 350px;        
  height: 350px;
  border-radius: 50%;
  object-fit: cover;
  margin-top: 3rem;
  margin-left: 3rem;
  margin-right: 12rem;       
  border: 6px solid var(--primary-color);
}

a svg {
  width: 60px;
  height: 60px;
  color: var(--secondary-text); 
  transition: transform 0.2s;
  text-decoration: none;

}

.linkedin{
  margin-left: -9.5px;
}

a:hover svg {
  transform: scale(1.1);
}

a {
  text-decoration: none; 
}

.contact-section {
  display: flex;
  flex-direction: column; 
  /* padding-left: 8.25rem;   */
  align-items: flex-start;       
}

.icons {
  display: flex;
  gap: 24px;    
  padding-top: 2rem;          
}


.resume-button {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 12px 24px;
  width: 161.5px;
  background-color: var(--secondary-text);
  color: var(--base-color);
  font-weight: 600;
  text-decoration: none;
  border-radius: 6px;
  transition: transform 0.2s;
  font-family: 'Karla', sans-serif;

}

.resume-button:hover {
  transform: scale(1.05);
}

@media (max-width: 700px) {
  .wrapper {
    flex-direction: column;  
    align-items: center;
    margin-top: 1rem;  
  }

  .pageWrapper {
    display: flex;
    flex-direction: column;
    align-items: center;     
    justify-content: center;  
    min-height: 100vh;      
    padding-left: 1rem;
    padding-right: 1rem;
  }


  .headshot {
    width: 200px;
    height: 200px;
    margin: 2rem 0 0 0;
    border-width: 4px;
  }

  .name {
    font-size: 2.5rem;
    text-align: center;
  }

  .heyThere,
  .homeSubtext {
    font-size: 1.1rem;
    text-align: center;
  }

  .icons {
    justify-content: center;
    gap: 16px;         
    padding-top: 1.5rem;
  }

  a svg {
    width: 50px;     
    height: 50px;
  }

  .resume-button {
    margin: 1.5rem 0;
    width: auto;        
  }

  .contact-section {
    align-items: center; 
    text-align: center;
    padding-left: 0;
  }

  #theme-switch {
    margin: 1rem 0 0 0;  
    margin-left: 0;     
  }
}


.dm-serif-text-regular {
  font-family: "DM Serif Text", serif;
  font-weight: 400;
  font-style: normal;
}

.dm-serif-text-regular-italic {
  font-family: "DM Serif Text", serif;
  font-weight: 400;
  font-style: italic;
}

#theme-switch{
  height: 50px;
  width: 50px;
  min-width: 50px;     
  min-height: 50px;     
  padding: 0;
  border-radius: 50%;
  background-color: var(--base-variant);
  display: flex;
  justify-content: center;
  align-items: center;
  border: none;          
  outline: none;       
  box-shadow: none;     
  margin-left: auto;  
}

#theme-switch svg{
    fill: var(--secondary-text)
  }

#theme-switch svg:last-child{
  display:none;
}

.darkmode #theme-switch svg:first-child{
  display: none;
}

.darkmode #theme-switch svg:last-child{
  display:block;
}

.logo.dark {
  display: none;
}

.darkmode .logo.light {
  display: none;   
}

.darkmode .logo.dark {
  display: block; 
}

.experience-section {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  padding: 2rem 0;
  max-width: 1000px;  
  margin: 0 auto;
}

.exp-card {
  background: var(--base-variant);
  border-radius: 20px;
  padding: 1.4rem 2rem;
}

.exp-card h2 {
  margin-bottom: 1.5rem;
  list-style: none;
  font-size: 1.4rem;
  font-weight: 600;
  font-family: 'Chivo', sans-serif;
}

.exp-card > ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.exp-card > ul li {
  margin-bottom: 1rem;
}

.exp-card li:last-child {
  border-bottom: none;
}

.item-header {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
  padding: 0.3rem 0;
  font-weight: 500;
  
}

.item-bullets {
  margin: 0 0 1.5rem; 
  padding-left: 2rem;
  list-style-type: disc;
  list-style-position: outside;
  font-size: 1rem;
  line-height: 1.4;
  opacity: 0.85;
  font-family: 'Karla', sans-serif;
}

.item-bullets li {
  display: list-item;
}


.item-text {
  font-weight: 500;
  font-size: 1.2rem;
  font-family: 'Karla', sans-serif;
  padding-bottom: 1rem;
  color: var(--secondary-text)
}

.item-date {
  font-size: 1rem;
  opacity: 0.75;
  font-family: 'Karla', sans-serif;
  color: var(--secondary-text)
}

.exp-card:hover {
  transform: translateY(-6px);
  transition: 0.2s;
}

@media (max-width: 1100px) {
  .experience-section {
    padding-left: 50px;
    padding-right: 50px;
  }
  
}


.projects-section {
  padding: 3rem 2rem;
}

.projects-title {
  font-size: 2rem;
  margin-bottom: 2rem;
  font-weight: 700;
  font-family: 'Chivo', sans-serif;
}

.projects-grid {
  display: grid;
  grid-template-columns: repeat(2, max-content);
  gap: 2rem;
  justify-content: center;
}

.project-card {
  display: block;
  padding: 1.5rem;
  border-radius: 20px;
  background: var(--base-variant);
  color: var(--text-color);
  text-decoration: none;
  transition: transform 0.2s;
  width: 450px; 
  margin: 0 auto;   
  font-family: 'Karla', sans-serif;

}

.project-card:hover {
  transform: translateY(-6px);
}

.project-card h3 {
  color: var(--secondary-text);
  margin-bottom: 0.5rem;
  font-size: 1.25rem;
}

.project-card p {
  margin-bottom: 1rem;
  line-height: 1.4;
}

.tags {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.tag {
  padding: 0.3rem 0.75rem;
  font-size: 0.85rem;
  border-radius: 999px;
  background: var(--primary-color);
  color: var(--text-color);

}

@media (max-width: 1100px) {
  .projects-grid {
    grid-template-columns: 1fr;
  }

  .project-card {
    max-width: 80%; 
    margin: 0 auto; 
  }
  
}

.karla-regular {
  font-family: "Karla", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}


.chivo-regular {
  font-family: "Chivo", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.contact-form {
  max-width: 700px;
  margin: 0 auto;
  padding: 2rem;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  font-family: 'Chivo', sans-serif;
  font-size: 1.2rem;
}

.row {
  display: flex;
  gap: 1.5rem;
}

.field {
  display: flex;
  flex-direction: column;
  flex: 1;
}

.field.full textarea {
  min-height: 150px;
  max-width: 675px;
  width: 100%;
}

input,
textarea {
  padding: 0.75rem;
  border-radius: 20px;
  border: 1px solid var(--primary-color);
  background: var(--base-variant);
  color: var(--text-color);
  font-size: 1rem;
  resize: vertical;
  font-family: "Karla", sans-serif;
}

label {
  display: flex;           
  flex-direction: column;  
  gap: 0.5rem;           
  font-weight: 500;
  color: var(--text-color);
}

.submit-wrap {
  display: flex;
  justify-content: center;
}

button[type="submit"] {
  padding: 0.75rem 2rem;
  border-radius: 20px;
  border: none;
  cursor: pointer;
  font-size: 1.1rem;
  background: var(--primary-color);
  color: var(--text-color);
  font-family: 'Karla', sans-serif;
}

button:hover {
  transform: scale(1.1);
  transition: 0.2s;
}

.iconsContact {
  display: flex;
  justify-content: center;  
  align-items: center;
  gap: 1.5rem;             
  margin-top: 1.5rem;     
}
